org.apache.ivy.core.event.resolve

## Class StartResolveDependencyEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.resolve.ResolveDependencyEvent
    - - org.apache.ivy.core.event.resolve.StartResolveDependencyEvent

    public class StartResolveDependencyEvent
    extends ResolveDependencyEvent

### Field Summary

Fields
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`StartResolveDependencyEvent(DependencyResolver resolver, DependencyDescriptor dd, ModuleRevisionId requestedRevisionId)`

### Method Summary

### Methods inherited from class org.apache.ivy.core.event.resolve.ResolveDependencyEvent

`getDependencyDescriptor, getResolver`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### StartResolveDependencyEvent

    public StartResolveDependencyEvent(DependencyResolver resolver,
                               DependencyDescriptor dd,
                               ModuleRevisionId requestedRevisionId)